uuid: 006435db-f072-43a9-9c47-a7b50b34e949
langcode: en
status: true
dependencies:
  config:
    - field.storage.node.field_author
    - field.storage.node.field_body
    - field.storage.node.field_featured
    - field.storage.node.field_keywords
    - field.storage.node.field_news_format
    - field.storage.node.field_news_thumbnail
    - field.storage.node.field_news_type
    - field.storage.node.field_publish_date
    - search_api.server.durham_tech
  module:
    - node
    - search_api_exclude_entity
id: news_index
name: 'News Index'
description: ''
read_only: false
field_settings:
  field_author:
    label: Author
    datasource_id: 'entity:node'
    property_path: field_author
    type: text
    dependencies:
      config:
        - field.storage.node.field_author
  field_body:
    label: Body
    datasource_id: 'entity:node'
    property_path: field_body
    type: text
    dependencies:
      config:
        - field.storage.node.field_body
  field_featured:
    label: Featured
    datasource_id: 'entity:node'
    property_path: field_featured
    type: boolean
    dependencies:
      config:
        - field.storage.node.field_featured
  field_keywords:
    label: Keywords
    datasource_id: 'entity:node'
    property_path: field_keywords
    type: text
    boost: 21.0
    dependencies:
      config:
        - field.storage.node.field_keywords
  field_news_format:
    label: Format
    datasource_id: 'entity:node'
    property_path: field_news_format
    type: integer
    dependencies:
      config:
        - field.storage.node.field_news_format
  field_news_thumbnail:
    label: 'News Thumbnail'
    datasource_id: 'entity:node'
    property_path: field_news_thumbnail
    type: integer
    dependencies:
      config:
        - field.storage.node.field_news_thumbnail
  field_news_type:
    label: Type
    datasource_id: 'entity:node'
    property_path: field_news_type
    type: integer
    dependencies:
      config:
        - field.storage.node.field_news_type
  field_publish_date:
    label: 'Publish Date'
    datasource_id: 'entity:node'
    property_path: field_publish_date
    type: date
    dependencies:
      config:
        - field.storage.node.field_publish_date
  node_grants:
    label: 'Node access information'
    property_path: search_api_node_grants
    type: string
    indexed_locked: true
    type_locked: true
    hidden: true
  rendered_item:
    label: 'Rendered HTML output'
    property_path: rendered_item
    type: text
    configuration:
      roles:
        anonymous: anonymous
      view_mode:
        'entity:node':
          new_article: default
  status:
    label: status
    datasource_id: 'entity:node'
    property_path: status
    type: boolean
    indexed_locked: true
    type_locked: true
    dependencies:
      module:
        - node
  title:
    label: Title
    datasource_id: 'entity:node'
    property_path: title
    type: text
    boost: 3.0
    dependencies:
      module:
        - node
  uid:
    label: uid
    datasource_id: 'entity:node'
    property_path: uid
    type: integer
    indexed_locked: true
    type_locked: true
    dependencies:
      module:
        - node
  url:
    label: URI
    property_path: search_api_url
    type: string
datasource_settings:
  'entity:node':
    bundles:
      default: false
      selected:
        - new_article
    languages:
      default: true
      selected: {  }
processor_settings:
  add_url: {  }
  aggregated_field: {  }
  content_access:
    weights:
      preprocess_query: -30
  entity_status: {  }
  ignore_character:
    weights:
      preprocess_index: -10
      preprocess_query: -10
    all_fields: false
    fields:
      - field_author
      - field_body
      - field_keywords
      - rendered_item
      - title
    ignorable: "['¿¡!?,.:;]"
    ignorable_classes:
      - Pc
      - Pd
      - Pe
      - Pf
      - Pi
      - Po
      - Ps
  ignorecase:
    weights:
      preprocess_index: -20
      preprocess_query: -20
    all_fields: true
    fields:
      - field_author
      - field_body
      - field_keywords
      - rendered_item
      - title
      - url
  language_with_fallback: {  }
  rendered_item: {  }
  search_api_exclude_entity_processor:
    fields:
      node:
        - field_exclude_from_search
  transliteration:
    weights:
      preprocess_index: -20
      preprocess_query: -20
    all_fields: false
    fields:
      - field_author
      - field_keywords
      - title
tracker_settings:
  default:
    indexing_order: fifo
options:
  cron_limit: 50
  index_directly: true
  track_changes_in_references: true
server: durham_tech
